/* data2str.cc {\documentstyle{jsrc2latex}\rhead{\sl data2str.cc\quad\thepage}
   \font\tenrm=cmtt10}ǡʸѴؿ
{\ \begin{verbatim}
$Revision: 1.1 $ $Date: 2000/12/02 10:04:43 $  by KyotoHydro
\end{verbatim}}
{\ {\setlength{\parskip}{4pt}% latex-mode

data2str.h ǥץȥ줿ǡեؽ񤭹ؿ, ǡ
 \verb|data_string| ɤߤȤؿƤޤ

}% end of latex-mode }
*/

#include "data2str.h"
// #include <strstream.h>
#include <sstream>

// int ͤե˽񤭹
void data2file(int k, FILE* fp)
{
	fprintf(fp, "(%d)\n", k);
}

void data2ofile(int k, FILE* fp)
{
//	fprintf(fp, " %d", k);
	fprintf(fp, "%d", k);
}

// long ͤե˽񤭹
void data2file(long k, FILE* fp)
{
	fprintf(fp, "(%ld)\n", k);
}

void data2ofile(long k, FILE* fp)
{
//	fprintf(fp, " %ld", k);
	fprintf(fp, "%ld", k);
}

// float ͤե˽񤭹
void data2file(float f, FILE* fp)
{
	fprintf(fp, "(%g)\n", f);
}

void data2ofile(float f, FILE* fp)
{
//	fprintf(fp, " %g", f);
	fprintf(fp, "%g", f);
}

// double ͤե˽񤭹
void data2file(double a, FILE* fp)
{
	fprintf(fp, "(%g)\n", a);
}

void data2ofile(double a, FILE* fp)
{
//	fprintf(fp, " %g", a);
	fprintf(fp, "%g", a);
}

// ʸ float . ǡɤ߹ߤΥݥ󥿤ؿʤޤ
void dstr2data(char*& dstr, float& f)
{
	sscanf(dstr, "%f", &f);
	while (*dstr != '\0') dstr++;
	dstr++;
}

// ʸ double . ǡɤ߹ߤΥݥ󥿤ؿʤޤ
void dstr2data(char*& dstr, double& a)
{
	sscanf(dstr, "%lf", &a);
	while (*dstr != '\0') dstr++;
	dstr++;
}

// ʸ int . ǡɤ߹ߤΥݥ󥿤ؿʤޤ
void dstr2data(char*& dstr, int& k)
{
	sscanf(dstr, "%d", &k);
	while (*dstr != '\0') dstr++;
	dstr++;
}

// ʸ long . ǡɤ߹ߤΥݥ󥿤ؿʤޤ
void dstr2data(char*& dstr, long& k)
{
	sscanf(dstr, "%ld", &k);
	while (*dstr != '\0') dstr++;
	dstr++;
}

/* end of file {\ % The following part will be omitted in tex file
\begin{comment}\begin{verbatim}
This part is not included in the tex output.
$Revision: 1.1 $
Revision: 1.5 ѹ
Ѥ˴ʰ׷Υեؤνϴؿɲäޤ

Revision: 1.3 ѹ
void dstr2data(char*& dstr, int& k) ΥХեå

Revision: 1.2 ѹ
ؿ̾ str2data  dstr2data ѹޤ

Revision: 1.1 ѹ
˻ͤѹޤ, ǡʸȤѴͤޤ
, եؤν񤭹, data_string ɤ߹ߤľܼ갷褦
ѹޤ

# Local Variables: ***
# tab-width: 4 ***
# End: ***
\end{verbatim}\end{comment}
} */
